%global momorel 5
%global emacsver 22.3
%global xemacsver 21.5.28
%global e_sitedir %{_datadir}/emacs/site-lisp
#%%global xe_sitedir %{_datadir}/xemacs/site-lisp
%global sitepdir %{_datadir}/xemacs/site-packages
%global rel_num 2724

Summary: An Emacs major mode for editing Lua code.
Name: elisp-lua-mode
Version: 20071122
Release: %{momorel}m%{?dist}
License: GPLv2
Group: Applications/Editors
URL: http://luaforge.net/projects/lua-mode/
Source0: http://luaforge.net/frs/download.php/%{rel_num}/lua-mode-%{version}.tar.gz
BuildArch: noarch
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}
Requires: emacsen
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Lua-mode supports c-mode style formatting and sending of
lines/regions/files to a Lua interpreter. An interpreter (see variable
`lua-default-application') will be started if you try to send some
code and none is running. You can use the process-buffer (named after
the application you chose) as if it were an interactive shell. See the
documentation for `comint.el' for details.

%package -n lua-mode-emacs
Summary: An Emacs major mode for editing Lua code.
Group: Applications/Editors
Requires: emacs >= %{emacsver}

%description -n lua-mode-emacs
Lua-mode supports c-mode style formatting and sending of
lines/regions/files to a Lua interpreter. An interpreter (see variable
`lua-default-application') will be started if you try to send some
code and none is running. You can use the process-buffer (named after
the application you chose) as if it were an interactive shell. See the
documentation for `comint.el' for details.

%package -n lua-mode-xemacs
Summary: An Emacs major mode for editing Lua code.
Group: Applications/Editors
Requires: xemacs >= %{xemacsver}

%description -n lua-mode-xemacs
Lua-mode supports c-mode style formatting and sending of
lines/regions/files to a Lua interpreter. An interpreter (see variable
`lua-default-application') will be started if you try to send some
code and none is running. You can use the process-buffer (named after
the application you chose) as if it were an interactive shell. See the
documentation for `comint.el' for details.

%prep
%setup -q -n lua-mode-%{version} -c

%build
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
emacs -batch -q -no-site-file -f batch-byte-compile lua-mode.el
mv lua-mode.elc lua-mode.elc.emacs
xemacs -vanilla -batch -f batch-byte-compile lua-mode.el
mv lua-mode.elc lua-mode.elc.xemacs

%install
mkdir -p %{buildroot}%{e_sitedir}
install -m 644 lua-mode.el %{buildroot}%{e_sitedir}
install -m 644 lua-mode.elc.emacs %{buildroot}%{e_sitedir}/lua-mode.elc
mkdir -p %{buildroot}%{sitepdir}/lisp
install -m 644 lua-mode.el %{buildroot}%{sitepdir}/lisp
install -m 644 lua-mode.elc.xemacs %{buildroot}%{sitepdir}/lisp/lua-mode.elc

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files -n lua-mode-emacs
%defattr(-,root,root)
%{e_sitedir}/lua-mode.el
%{e_sitedir}/lua-mode.elc

%files -n lua-mode-xemacs
%defattr(-,root,root)
%{sitepdir}/lisp/lua-mode.el
%{sitepdir}/lisp/lua-mode.elc

%changelog
* Sun Sep 07 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (20071122-5m)
- rebuild against emacs-22.3

* Thu Jul 24 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (20071122-4m)
- rebuild against xemacs-21.5.28
- use %%{sitepdir}

* Sat Apr 19 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (20071122-3m)
- rebuild against emacs-22.2

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (20071122-2m)
- rebuild against gcc43

* Sun Dec 16 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (20071122-1m)
- initial packaging
